# Constant Field Values

## Contents

- org.springframework.*

## org.springframework.*

org.springframework.web.servlet.DispatcherServlet
Modifier and Type
Constant Field
Value
`public static final String`
`FLASH_MAP_MANAGER_BEAN_NAME`
`"flashMapManager"`
`public static final String`
`HANDLER_ADAPTER_BEAN_NAME`
`"handlerAdapter"`
`public static final String`
`HANDLER_EXCEPTION_RESOLVER_BEAN_NAME`
`"handlerExceptionResolver"`
`public static final String`
`HANDLER_MAPPING_BEAN_NAME`
`"handlerMapping"`
`public static final String`
`LOCALE_RESOLVER_BEAN_NAME`
`"localeResolver"`
`public static final String`
`MULTIPART_RESOLVER_BEAN_NAME`
`"multipartResolver"`
`public static final String`
`PAGE_NOT_FOUND_LOG_CATEGORY`
`"org.springframework.web.servlet.PageNotFound"`
`public static final String`
`REQUEST_TO_VIEW_NAME_TRANSLATOR_BEAN_NAME`
`"viewNameTranslator"`
`public static final String`
`THEME_RESOLVER_BEAN_NAME`
`"themeResolver"`
`public static final String`
`VIEW_RESOLVER_BEAN_NAME`
`"viewResolver"`
org.springframework.web.servlet.FrameworkServlet
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_NAMESPACE_SUFFIX`
`"-servlet"`

org.springframework.web.servlet.config.FreeMarkerConfigurerBeanDefinitionParser
Modifier and Type
Constant Field
Value
`public static final String`
`BEAN_NAME`
`"mvcFreeMarkerConfigurer"`
org.springframework.web.servlet.config.GroovyMarkupConfigurerBeanDefinitionParser
Modifier and Type
Constant Field
Value
`public static final String`
`BEAN_NAME`
`"mvcGroovyMarkupConfigurer"`
org.springframework.web.servlet.config.ScriptTemplateConfigurerBeanDefinitionParser
Modifier and Type
Constant Field
Value
`public static final String`
`BEAN_NAME`
`"mvcScriptTemplateConfigurer"`
org.springframework.web.servlet.config.ViewResolversBeanDefinitionParser
Modifier and Type
Constant Field
Value
`public static final String`
`VIEW_RESOLVER_BEAN_NAME`
`"mvcViewResolver"`

org.springframework.web.servlet.handler.SimpleMappingExceptionResolver
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_EXCEPTION_ATTRIBUTE`
`"exception"`

org.springframework.web.servlet.i18n.LocaleChangeInterceptor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PARAM_NAME`
`"locale"`

org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMethodMappingNamingStrategy
Modifier and Type
Constant Field
Value
`public static final String`
`SEPARATOR`
`"#"`

org.springframework.web.servlet.mvc.method.annotation.MvcUriComponentsBuilder
Modifier and Type
Constant Field
Value
`public static final String`
`MVC_URI_COMPONENTS_CONTRIBUTOR_BEAN_NAME`
`"mvcUriComponentsContributor"`
org.springframework.web.servlet.mvc.method.annotation.ResponseEntityExceptionHandler
Modifier and Type
Constant Field
Value
`public static final String`
`PAGE_NOT_FOUND_LOG_CATEGORY`
`"org.springframework.web.servlet.PageNotFound"`

org.springframework.web.servlet.mvc.support.DefaultHandlerExceptionResolver
Modifier and Type
Constant Field
Value
`public static final String`
`PAGE_NOT_FOUND_LOG_CATEGORY`
`"org.springframework.web.servlet.PageNotFound"`

org.springframework.web.servlet.resource.CachingResourceResolver
Modifier and Type
Constant Field
Value
`public static final String`
`RESOLVED_RESOURCE_CACHE_KEY_PREFIX`
`"resolvedResource:"`
`public static final String`
`RESOLVED_URL_PATH_CACHE_KEY_PREFIX`
`"resolvedUrlPath:"`

org.springframework.web.servlet.support.AbstractDispatcherServletInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SERVLET_NAME`
`"dispatcher"`
org.springframework.web.servlet.support.RequestContext
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_THEME_NAME`
`"theme"`
org.springframework.web.servlet.support.RequestContextUtils
Modifier and Type
Constant Field
Value
`public static final String`
`REQUEST_DATA_VALUE_PROCESSOR_BEAN_NAME`
`"requestDataValueProcessor"`
org.springframework.web.servlet.support.WebContentGenerator
Modifier and Type
Constant Field
Value
`protected static final String`
`HEADER_CACHE_CONTROL`
`"Cache-Control"`
`public static final String`
`METHOD_GET`
`"GET"`
`public static final String`
`METHOD_HEAD`
`"HEAD"`
`public static final String`
`METHOD_POST`
`"POST"`

org.springframework.web.servlet.tags.BindErrorsTag
Modifier and Type
Constant Field
Value
`public static final String`
`ERRORS_VARIABLE_NAME`
`"errors"`
org.springframework.web.servlet.tags.BindTag
Modifier and Type
Constant Field
Value
`public static final String`
`STATUS_VARIABLE_NAME`
`"status"`
org.springframework.web.servlet.tags.MessageTag
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ARGUMENT_SEPARATOR`
`","`
org.springframework.web.servlet.tags.NestedPathTag
Modifier and Type
Constant Field
Value
`public static final String`
`NESTED_PATH_VARIABLE_NAME`
`"nestedPath"`
org.springframework.web.servlet.tags.RequestContextAwareTag
Modifier and Type
Constant Field
Value
`public static final String`
`REQUEST_CONTEXT_PAGE_ATTRIBUTE`
`"org.springframework.web.servlet.tags.REQUEST_CONTEXT"`

org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
Modifier and Type
Constant Field
Value
`protected static final String`
`NESTED_PATH_VARIABLE_NAME`
`"nestedPath"`
org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
Modifier and Type
Constant Field
Value
`public static final String`
`CLASS_ATTRIBUTE`
`"class"`
`public static final String`
`DIR_ATTRIBUTE`
`"dir"`
`public static final String`
`LANG_ATTRIBUTE`
`"lang"`
`public static final String`
`ONCLICK_ATTRIBUTE`
`"onclick"`
`public static final String`
`ONDBLCLICK_ATTRIBUTE`
`"ondblclick"`
`public static final String`
`ONKEYDOWN_ATTRIBUTE`
`"onkeydown"`
`public static final String`
`ONKEYPRESS_ATTRIBUTE`
`"onkeypress"`
`public static final String`
`ONKEYUP_ATTRIBUTE`
`"onkeyup"`
`public static final String`
`ONMOUSEDOWN_ATTRIBUTE`
`"onmousedown"`
`public static final String`
`ONMOUSEMOVE_ATTRIBUTE`
`"onmousemove"`
`public static final String`
`ONMOUSEOUT_ATTRIBUTE`
`"onmouseout"`
`public static final String`
`ONMOUSEOVER_ATTRIBUTE`
`"onmouseover"`
`public static final String`
`ONMOUSEUP_ATTRIBUTE`
`"onmouseup"`
`public static final String`
`STYLE_ATTRIBUTE`
`"style"`
`public static final String`
`TABINDEX_ATTRIBUTE`
`"tabindex"`
`public static final String`
`TITLE_ATTRIBUTE`
`"title"`
org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag
Modifier and Type
Constant Field
Value
`public static final String`
`ACCESSKEY_ATTRIBUTE`
`"accesskey"`
`public static final String`
`DISABLED_ATTRIBUTE`
`"disabled"`
`public static final String`
`ONBLUR_ATTRIBUTE`
`"onblur"`
`public static final String`
`ONCHANGE_ATTRIBUTE`
`"onchange"`
`public static final String`
`ONFOCUS_ATTRIBUTE`
`"onfocus"`
`public static final String`
`READONLY_ATTRIBUTE`
`"readonly"`
org.springframework.web.servlet.tags.form.ButtonTag
Modifier and Type
Constant Field
Value
`public static final String`
`DISABLED_ATTRIBUTE`
`"disabled"`
org.springframework.web.servlet.tags.form.ErrorsTag
Modifier and Type
Constant Field
Value
`public static final String`
`MESSAGES_ATTRIBUTE`
`"messages"`
`public static final String`
`SPAN_TAG`
`"span"`
org.springframework.web.servlet.tags.form.FormTag
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_COMMAND_NAME`
`"command"`
org.springframework.web.servlet.tags.form.HiddenInputTag
Modifier and Type
Constant Field
Value
`public static final String`
`DISABLED_ATTRIBUTE`
`"disabled"`
org.springframework.web.servlet.tags.form.InputTag
Modifier and Type
Constant Field
Value
`public static final String`
`ALT_ATTRIBUTE`
`"alt"`
`public static final String`
`AUTOCOMPLETE_ATTRIBUTE`
`"autocomplete"`
`public static final String`
`MAXLENGTH_ATTRIBUTE`
`"maxlength"`
`public static final String`
`ONSELECT_ATTRIBUTE`
`"onselect"`
`public static final String`
`SIZE_ATTRIBUTE`
`"size"`
org.springframework.web.servlet.tags.form.OptionTag
Modifier and Type
Constant Field
Value
`public static final String`
`DISPLAY_VALUE_VARIABLE_NAME`
`"displayValue"`
`public static final String`
`VALUE_VARIABLE_NAME`
`"value"`
org.springframework.web.servlet.tags.form.SelectTag
Modifier and Type
Constant Field
Value
`public static final String`
`LIST_VALUE_PAGE_ATTRIBUTE`
`"org.springframework.web.servlet.tags.form.SelectTag.listValue"`
org.springframework.web.servlet.tags.form.TextareaTag
Modifier and Type
Constant Field
Value
`public static final String`
`COLS_ATTRIBUTE`
`"cols"`
`public static final String`
`ONSELECT_ATTRIBUTE`
`"onselect"`
`public static final String`
`ROWS_ATTRIBUTE`
`"rows"`

org.springframework.web.servlet.theme.AbstractThemeResolver
Modifier and Type
Constant Field
Value
`public static final String`
`ORIGINAL_DEFAULT_THEME_NAME`
`"theme"`
org.springframework.web.servlet.theme.CookieThemeResolver
Modifier and Type
Constant Field
Value
`public static final String`
`ORIGINAL_DEFAULT_THEME_NAME`
`"theme"`
org.springframework.web.servlet.theme.ThemeChangeInterceptor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PARAM_NAME`
`"theme"`

org.springframework.web.servlet.view.AbstractCachingViewResolver
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_CACHE_LIMIT`
`1024`
org.springframework.web.servlet.view.AbstractTemplateView
Modifier and Type
Constant Field
Value
`public static final String`
`SPRING_MACRO_REQUEST_CONTEXT_ATTRIBUTE`
`"springMacroRequestContext"`
org.springframework.web.servlet.view.AbstractView
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CONTENT_TYPE`
`"text/html;charset=ISO-8859-1"`
org.springframework.web.servlet.view.ResourceBundleViewResolver
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_BASENAME`
`"views"`
org.springframework.web.servlet.view.UrlBasedViewResolver
Modifier and Type
Constant Field
Value
`public static final String`
`FORWARD_URL_PREFIX`
`"forward:"`
`public static final String`
`REDIRECT_URL_PREFIX`
`"redirect:"`
org.springframework.web.servlet.view.XmlViewResolver
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_LOCATION`
`"/WEB-INF/views.xml"`

org.springframework.web.servlet.view.feed.AbstractAtomFeedView
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_FEED_TYPE`
`"atom_1.0"`

org.springframework.web.servlet.view.json.MappingJackson2JsonView
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CONTENT_TYPE`
`"application/json"`

org.springframework.web.servlet.view.script.ScriptTemplateView
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CONTENT_TYPE`
`"text/html"`

org.springframework.web.servlet.view.xml.MappingJackson2XmlView
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CONTENT_TYPE`
`"application/xml"`
org.springframework.web.servlet.view.xml.MarshallingView
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CONTENT_TYPE`
`"application/xml"`